import chat.Main;
import org.aswing.JFrame;
import org.aswing.JButton;
import org.aswing.JLabel;
import org.aswing.JPanel;
import org.aswing.Event;
import org.aswing.BorderLayout;
import org.aswing.FlowLayout;

class chat.MessageBox extends JFrame
{
	//Diplays the message box
	private var _message_lbl:JLabel;
	//Close button
	private var _close_btn:JButton;
	//Stores the message
	private var _message:String;
	
	
	public function MessageBox(owner:JFrame,title:String ,message:String ,modal:Boolean){
		//Call the super constructor
		if(title!=null){
			super(owner , title , modal);
		}
		else{			
			super(owner , "" , modal);
		}
		//set the size
		setSize(300,150);
		//set the position
		setLocation(200,200);				
		//make the window not resizable
		setResizable(false);
		//make the window not draggable
		setDragable(false);
		//set the title 
		setTitle(title);		
		//Set new layout 
		getContentPane().setLayout(new BorderLayout(5,5));
		//store the message
		if(message!=null){
			_message=message;
		}
		else{
			_message="";
		}		
		//call function to build rest of the gui
		buildGUI();		
	}
	
	
	private function buildGUI(message:String):Void{
		_message_lbl=new JLabel(_message);
		_message_lbl.setHorizontalAlignment(JLabel.LEFT);
		
		_close_btn=new JButton("Close");
		_close_btn.setPreferredSize(80,22);
		_close_btn.addEventListener(JButton.ON_CLICKED,closeMessageBox,this);
		
		var buttonPanel:JPanel=new JPanel(new FlowLayout (FlowLayout.RIGHT, 20, 8));
		buttonPanel.append(_close_btn);
		
		var labelPanel:JPanel=new JPanel(new FlowLayout (FlowLayout.LEFT));
		labelPanel.append(_message_lbl);
		
		getContentPane().append(labelPanel,BorderLayout.CENTER);		
		getContentPane().append(buttonPanel,BorderLayout.SOUTH);		
	}
	
	private function closeMessageBox(eventObj:Event):Void{
		Main.DEBUG("On close MessageBox");
		destroy();
	}
	
	public function show(Void):Void{
		setVisible(true);
	}
	
	public function hide(Void):Void{
		setVisible(false);
	}
	
	public function setMessage(msg:String):Void{
		_message=msg;
		_message_lbl.setText(_message);
	}
	
	public function getMessage(Void):String{
		return _message;
	}	
}
